ActiveMQBeanFactory (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.spring.ActiveMQBeanFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.spring
Class ActiveMQBeanFactory

    java.lang.Object
      org.springframework.beans.factory.support.AbstractBeanFactory
          org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory
              org.springframework.beans.factory.support.DefaultListableBeanFactory
                  org.codehaus.activemq.spring.ActiveMQBeanFactory

All Implemented Interfaces:
  org.springframework.beans.factory.config.AutowireCapableBeanFactory, org.springframework.beans.factory.support.BeanDefinitionRegistry, org.springframework.beans.factory.BeanFactory, org.springframework.beans.factory.config.ConfigurableBeanFactory, org.springframework.beans.factory.config.ConfigurableListableBeanFactory, org.springframework.beans.factory.HierarchicalBeanFactory, org.springframework.beans.factory.ListableBeanFactory

public class ActiveMQBeanFactory
extends org.springframework.beans.factory.support.DefaultListableBeanFactory

A Spring BeanFactory for creating ActiveMQ objects

Version:
  $Revision: 1.1 $

Field Summary

Fields inherited from class org.springframework.beans.factory.support.AbstractBeanFactory
`FACTORY_BEAN_PREFIX, logger`

Fields inherited from interface org.springframework.beans.factory.config.AutowireCapableBeanFactory
`AUTOWIRE_AUTODETECT, AUTOWIRE_BY_NAME, AUTOWIRE_BY_TYPE, AUTOWIRE_CONSTRUCTOR`

Constructor Summary
`ActiveMQBeanFactory(String brokerName, InputStream is)` Create a new ActiveMQBeanFactory with the given InputStream, which must be parsable using DOM.
`ActiveMQBeanFactory(String brokerName, org.springframework.core.io.Resource resource)` Create a new ActiveMQBeanFactory with the given resource, which must be parsable using DOM.
`ActiveMQBeanFactory(String brokerName, org.springframework.core.io.Resource resource, org.springframework.beans.factory.BeanFactory parentBeanFactory)` Create a new ActiveMQBeanFactory with the given input stream, which must be parsable using DOM.

Method Summary
`protected org.springframework.beans.factory.xml.XmlBeanDefinitionReader` | `createReader(String brokerName)` A hook to allow custom ActiveMQBeanFactory implementations to provide their own custom parser of the XML to perform macro processing or perform XSLT etc
`protected org.springframework.beans.factory.xml.XmlBeanDefinitionReader` | `getReader()`
`static ActiveMQBeanFactory` | `newInstance(String brokerName, org.springframework.core.io.Resource resource)` A static factory method which can be used easily from spring.xml

Methods inherited from class org.springframework.beans.factory.support.DefaultListableBeanFactory
`containsBeanDefinition, findMatchingBeans, getBeanDefinition, getBeanDefinitionCount, getBeanDefinitionNames, getBeanDefinitionNames, getBeansOfType, getDependingBeanNames, isBeanDefinitionTypeMatch, preInstantiateSingletons, registerBeanDefinition, setAllowBeanDefinitionOverriding, toString`

Methods inherited from class org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory
`applyBeanPostProcessorsAfterInitialization, applyBeanPostProcessorsBeforeInitialization, applyBeanPropertyValues, applyPropertyValues, autowire, autowireBeanProperties, autowireByName, autowireByType, autowireConstructor, createBean, createBean, dependencyCheck, destroyBean, destroySingletons, instantiateUsingFactoryMethod, invokeCustomDestroyMethod, invokeInitMethods, populateBean, resolveInnerBeanDefinition, resolveManagedList, resolveManagedMap, resolveManagedSet, resolveReference, resolveValueIfNecessary, setInstantiationStrategy, unsatisfiedObjectProperties`

Methods inherited from class org.springframework.beans.factory.support.AbstractBeanFactory
`addBeanPostProcessor, addSingleton, containsBean, destroySingleton, getAliases, getBean, getBean, getBean, getBeanPostProcessors, getCustomEditors, getIgnoredDependencyTypes, getMergedBeanDefinition, getMergedBeanDefinition, getObjectForSharedInstance, getParentBeanFactory, getSingletonNames, ignoreDependencyType, initBeanWrapper, isFactoryDereference, isSingleton, registerAlias, registerCustomEditor, registerSingleton, removeSingleton, setParentBeanFactory, transformedBeanName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.BeanFactory
`containsBean, getAliases, getBean, getBean, isSingleton`

Methods inherited from interface org.springframework.beans.factory.config.AutowireCapableBeanFactory
`applyBeanPostProcessorsAfterInitialization, applyBeanPostProcessorsBeforeInitialization, applyBeanPropertyValues, autowire, autowireBeanProperties`

Methods inherited from interface org.springframework.beans.factory.config.ConfigurableBeanFactory
`addBeanPostProcessor, destroySingletons, ignoreDependencyType, registerAlias, registerCustomEditor, registerSingleton, setParentBeanFactory`

Methods inherited from interface org.springframework.beans.factory.HierarchicalBeanFactory
`getParentBeanFactory`

Methods inherited from interface org.springframework.beans.factory.support.BeanDefinitionRegistry
`getAliases, registerAlias`

Constructor Detail

### ActiveMQBeanFactory

    public ActiveMQBeanFactory(String brokerName,
                               org.springframework.core.io.Resource resource)
                        throws org.springframework.beans.BeansException

  Create a new ActiveMQBeanFactory with the given resource, which must be parsable using DOM.

Parameters:
  `resource` - XML resource to load bean definitions from
Throws:
  `org.springframework.beans.BeansException` - in case of loading or parsing errors

### ActiveMQBeanFactory

    public ActiveMQBeanFactory(String brokerName,
                               InputStream is)
                        throws org.springframework.beans.BeansException

  Create a new ActiveMQBeanFactory with the given InputStream, which must be parsable using DOM.

  It's preferable to use a Resource argument instead of an InputStream, to retain location information. This constructor is mainly kept for backward compatibility.

Parameters:
  `is` - XML InputStream to load bean definitions from
Throws:
  `org.springframework.beans.BeansException` - in case of loading or parsing errors
See Also:
  `ActiveMQBeanFactory(String, Resource)`

### ActiveMQBeanFactory

    public ActiveMQBeanFactory(String brokerName,
                               org.springframework.core.io.Resource resource,
                               org.springframework.beans.factory.BeanFactory parentBeanFactory)
                        throws org.springframework.beans.BeansException

  Create a new ActiveMQBeanFactory with the given input stream, which must be parsable using DOM.

Parameters:
  `resource` - XML resource to load bean definitions from
  `parentBeanFactory` - parent bean factory
Throws:
  `org.springframework.beans.BeansException` - in case of loading or parsing errors

Method Detail

### newInstance

    public static ActiveMQBeanFactory newInstance(String brokerName,
                                                  org.springframework.core.io.Resource resource)

  A static factory method which can be used easily from spring.xml

  Parameters:
    `resource` - XML resource to load bean definitions from

### getReader

    protected org.springframework.beans.factory.xml.XmlBeanDefinitionReader getReader()

### createReader

    protected org.springframework.beans.factory.xml.XmlBeanDefinitionReader createReader(String brokerName)

  A hook to allow custom ActiveMQBeanFactory implementations to provide their own custom parser of the XML to perform macro processing or perform XSLT etc

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.